---
agentTools:
  projectIndex: https://developer.strev.ai/llms.txt
---

# List Custom Field Template

List all (or one) custom field templates.

## Endpoint URL

[block:html]
{
  "html": "<p style=\"color:#e0245e;\">\n  <code>https://{{base_url}}/api/v2/custom-field-template</code>\n</p>"
}
[/block]

## Authentication and rate limits

| Item                  | Details                                                                         |
| :-------------------- | :------------------------------------------------------------------------------ |
| Authentication method | [OAuth 2.0 Bearer token](https://developer.revnue.com/reference/authentication) |
| Rate limit            | [Rate Limit](https://developer.revnue.com/reference/rate-limit)                 |

## Requests Example

```curl List all custom field templates
curl --request GET \
  --url 'https://{{base_url}}/api/v2/custom-field-template/?company=1' \
  --header 'Authorization: Bearer $BEARER_TOKEN'
```
```curl List one custom field template
curl --request GET \
  --url 'https://dashboard-api.revnue.com/api/v2/custom-field-template/$id/?company=1' \
  --header 'Authorization: Bearer $BEARER_TOKEN'
```

## Query Parameters

[block:html]
{
  "html": "<ul>\n\t<li><strong>company&nbsp;</strong>(<em>integer</em>) --\n\t\t<p>\n\t\t\t<strong>[REQUIRED]</strong>\n\t\t\t<br>The ID of the specific company your API is calling. For accounts with only one company, the default value is <code>1</code>. \n\t\t\t<br>To lookup a specific company ID, see the <a href=\"https://developer.strev.ai/reference/list-company\">List Company</a> API.\n\t\t</p>\n\t</li>\n\t<li><strong>id&nbsp;</strong>(<em>integer</em>) --\n\t\t<p>Optional if you want to list a specific custom field template ID. The id parameter is passed as part of the request url <code class=\"c1\">/custom-field-template/$id/</code>.</p>\n\t</li>\n</ul>\n<style type=\"text/css\">\n\tcode.c1 {color:#e0245e;}\n</style>"
}
[/block]

## Response Syntax

```json
{
  "id": integer,
  "name": "string",
  "is_active": true|false,
  "type": "asset" | "contract" | "supplier",
  "fields": [
    {
      "id": integer,
      "name": "string",
      "data_type": "date" | "money" | "number" | "text",
      "is_active": true|false,
      "order": integer
    },
  ]
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Reference",
    "version": "2.4"
  },
  "servers": [
    {
      "url": "https://api.dashboard.strev.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "Bearer",
        "in": "header",
        "x-default": "$Bearer Token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v2/custom-field-template/?company=1": {
      "get": {
        "summary": "List Custom Field Template",
        "description": "List all (or one) custom field templates.",
        "operationId": "list-custom-field-template",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": integer,\n  \"name\": \"string\",\n  \"is_active\": true|false,\n  \"type\": \"asset\" | \"contract\" | \"supplier\",\n  \"fields\": [\n    {\n      \"id\": integer,\n      \"name\": \"string\",\n      \"data_type\": \"date\" | \"money\" | \"number\" | \"text\",\n      \"is_active\": true|false,\n      \"order\": integer\n    },\n  ]\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://{base_url}/api/v2/custom-field-template/?company=1\"\n\nheaders = {\n    \"accept\": \"application/json\",\n    \"Authorization\": \"Bearer {bearer_token}\"\n}\n\nresponse = requests.get(url, headers=headers)\n\nprint(response.text)"
            }
          ],
          "samples-languages": [
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "68d352cbe57b5d607923afbe:68d352cbe57b5d607923afd3"
}
```